// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.28.1
// 	protoc        v3.12.4
// source: answer/answer.proto

package answer

import (
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type Answer struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id           string `protobuf:"bytes,1,opt,name=Id,proto3" json:"Id,omitempty"`
	Body         string `protobuf:"bytes,2,opt,name=Body,proto3" json:"Body,omitempty"`
	EnrollmentId string `protobuf:"bytes,3,opt,name=EnrollmentId,proto3" json:"EnrollmentId,omitempty"`
	QuestionId   string `protobuf:"bytes,4,opt,name=QuestionId,proto3" json:"QuestionId,omitempty"`
}

func (x *Answer) Reset() {
	*x = Answer{}
	if protoimpl.UnsafeEnabled {
		mi := &file_answer_answer_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Answer) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Answer) ProtoMessage() {}

func (x *Answer) ProtoReflect() protoreflect.Message {
	mi := &file_answer_answer_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Answer.ProtoReflect.Descriptor instead.
func (*Answer) Descriptor() ([]byte, []int) {
	return file_answer_answer_proto_rawDescGZIP(), []int{0}
}

func (x *Answer) GetId() string {
	if x != nil {
		return x.Id
	}
	return ""
}

func (x *Answer) GetBody() string {
	if x != nil {
		return x.Body
	}
	return ""
}

func (x *Answer) GetEnrollmentId() string {
	if x != nil {
		return x.EnrollmentId
	}
	return ""
}

func (x *Answer) GetQuestionId() string {
	if x != nil {
		return x.QuestionId
	}
	return ""
}

type GetAnswerRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id           string `protobuf:"bytes,1,opt,name=Id,proto3" json:"Id,omitempty"`
	EnrollmentId string `protobuf:"bytes,2,opt,name=EnrollmentId,proto3" json:"EnrollmentId,omitempty"`
	QuestionId   string `protobuf:"bytes,3,opt,name=QuestionId,proto3" json:"QuestionId,omitempty"`
}

func (x *GetAnswerRequest) Reset() {
	*x = GetAnswerRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_answer_answer_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *GetAnswerRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GetAnswerRequest) ProtoMessage() {}

func (x *GetAnswerRequest) ProtoReflect() protoreflect.Message {
	mi := &file_answer_answer_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GetAnswerRequest.ProtoReflect.Descriptor instead.
func (*GetAnswerRequest) Descriptor() ([]byte, []int) {
	return file_answer_answer_proto_rawDescGZIP(), []int{1}
}

func (x *GetAnswerRequest) GetId() string {
	if x != nil {
		return x.Id
	}
	return ""
}

func (x *GetAnswerRequest) GetEnrollmentId() string {
	if x != nil {
		return x.EnrollmentId
	}
	return ""
}

func (x *GetAnswerRequest) GetQuestionId() string {
	if x != nil {
		return x.QuestionId
	}
	return ""
}

type SetAnswerResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id    string `protobuf:"bytes,1,opt,name=Id,proto3" json:"Id,omitempty"`
	Score uint32 `protobuf:"varint,2,opt,name=score,proto3" json:"score,omitempty"`
}

func (x *SetAnswerResponse) Reset() {
	*x = SetAnswerResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_answer_answer_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *SetAnswerResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SetAnswerResponse) ProtoMessage() {}

func (x *SetAnswerResponse) ProtoReflect() protoreflect.Message {
	mi := &file_answer_answer_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SetAnswerResponse.ProtoReflect.Descriptor instead.
func (*SetAnswerResponse) Descriptor() ([]byte, []int) {
	return file_answer_answer_proto_rawDescGZIP(), []int{2}
}

func (x *SetAnswerResponse) GetId() string {
	if x != nil {
		return x.Id
	}
	return ""
}

func (x *SetAnswerResponse) GetScore() uint32 {
	if x != nil {
		return x.Score
	}
	return 0
}

type SetQuizResultsResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id    string `protobuf:"bytes,1,opt,name=Id,proto3" json:"Id,omitempty"`
	Score uint32 `protobuf:"varint,2,opt,name=score,proto3" json:"score,omitempty"`
}

func (x *SetQuizResultsResponse) Reset() {
	*x = SetQuizResultsResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_answer_answer_proto_msgTypes[3]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *SetQuizResultsResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SetQuizResultsResponse) ProtoMessage() {}

func (x *SetQuizResultsResponse) ProtoReflect() protoreflect.Message {
	mi := &file_answer_answer_proto_msgTypes[3]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SetQuizResultsResponse.ProtoReflect.Descriptor instead.
func (*SetQuizResultsResponse) Descriptor() ([]byte, []int) {
	return file_answer_answer_proto_rawDescGZIP(), []int{3}
}

func (x *SetQuizResultsResponse) GetId() string {
	if x != nil {
		return x.Id
	}
	return ""
}

func (x *SetQuizResultsResponse) GetScore() uint32 {
	if x != nil {
		return x.Score
	}
	return 0
}

type ShowAnswerPerQuestionResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id string `protobuf:"bytes,1,opt,name=Id,proto3" json:"Id,omitempty"`
}

func (x *ShowAnswerPerQuestionResponse) Reset() {
	*x = ShowAnswerPerQuestionResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_answer_answer_proto_msgTypes[4]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ShowAnswerPerQuestionResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ShowAnswerPerQuestionResponse) ProtoMessage() {}

func (x *ShowAnswerPerQuestionResponse) ProtoReflect() protoreflect.Message {
	mi := &file_answer_answer_proto_msgTypes[4]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ShowAnswerPerQuestionResponse.ProtoReflect.Descriptor instead.
func (*ShowAnswerPerQuestionResponse) Descriptor() ([]byte, []int) {
	return file_answer_answer_proto_rawDescGZIP(), []int{4}
}

func (x *ShowAnswerPerQuestionResponse) GetId() string {
	if x != nil {
		return x.Id
	}
	return ""
}

type ShowAnswersPerStudentResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Answers []*Answer `protobuf:"bytes,1,rep,name=Answers,proto3" json:"Answers,omitempty"`
}

func (x *ShowAnswersPerStudentResponse) Reset() {
	*x = ShowAnswersPerStudentResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_answer_answer_proto_msgTypes[5]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ShowAnswersPerStudentResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ShowAnswersPerStudentResponse) ProtoMessage() {}

func (x *ShowAnswersPerStudentResponse) ProtoReflect() protoreflect.Message {
	mi := &file_answer_answer_proto_msgTypes[5]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ShowAnswersPerStudentResponse.ProtoReflect.Descriptor instead.
func (*ShowAnswersPerStudentResponse) Descriptor() ([]byte, []int) {
	return file_answer_answer_proto_rawDescGZIP(), []int{5}
}

func (x *ShowAnswersPerStudentResponse) GetAnswers() []*Answer {
	if x != nil {
		return x.Answers
	}
	return nil
}

var File_answer_answer_proto protoreflect.FileDescriptor

var file_answer_answer_proto_rawDesc = []byte{
	0x0a, 0x13, 0x61, 0x6e, 0x73, 0x77, 0x65, 0x72, 0x2f, 0x61, 0x6e, 0x73, 0x77, 0x65, 0x72, 0x2e,
	0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x06, 0x61, 0x6e, 0x73, 0x77, 0x65, 0x72, 0x22, 0x70, 0x0a,
	0x06, 0x41, 0x6e, 0x73, 0x77, 0x65, 0x72, 0x12, 0x0e, 0x0a, 0x02, 0x49, 0x64, 0x18, 0x01, 0x20,
	0x01, 0x28, 0x09, 0x52, 0x02, 0x49, 0x64, 0x12, 0x12, 0x0a, 0x04, 0x42, 0x6f, 0x64, 0x79, 0x18,
	0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x42, 0x6f, 0x64, 0x79, 0x12, 0x22, 0x0a, 0x0c, 0x45,
	0x6e, 0x72, 0x6f, 0x6c, 0x6c, 0x6d, 0x65, 0x6e, 0x74, 0x49, 0x64, 0x18, 0x03, 0x20, 0x01, 0x28,
	0x09, 0x52, 0x0c, 0x45, 0x6e, 0x72, 0x6f, 0x6c, 0x6c, 0x6d, 0x65, 0x6e, 0x74, 0x49, 0x64, 0x12,
	0x1e, 0x0a, 0x0a, 0x51, 0x75, 0x65, 0x73, 0x74, 0x69, 0x6f, 0x6e, 0x49, 0x64, 0x18, 0x04, 0x20,
	0x01, 0x28, 0x09, 0x52, 0x0a, 0x51, 0x75, 0x65, 0x73, 0x74, 0x69, 0x6f, 0x6e, 0x49, 0x64, 0x22,
	0x66, 0x0a, 0x10, 0x47, 0x65, 0x74, 0x41, 0x6e, 0x73, 0x77, 0x65, 0x72, 0x52, 0x65, 0x71, 0x75,
	0x65, 0x73, 0x74, 0x12, 0x0e, 0x0a, 0x02, 0x49, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52,
	0x02, 0x49, 0x64, 0x12, 0x22, 0x0a, 0x0c, 0x45, 0x6e, 0x72, 0x6f, 0x6c, 0x6c, 0x6d, 0x65, 0x6e,
	0x74, 0x49, 0x64, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0c, 0x45, 0x6e, 0x72, 0x6f, 0x6c,
	0x6c, 0x6d, 0x65, 0x6e, 0x74, 0x49, 0x64, 0x12, 0x1e, 0x0a, 0x0a, 0x51, 0x75, 0x65, 0x73, 0x74,
	0x69, 0x6f, 0x6e, 0x49, 0x64, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0a, 0x51, 0x75, 0x65,
	0x73, 0x74, 0x69, 0x6f, 0x6e, 0x49, 0x64, 0x22, 0x39, 0x0a, 0x11, 0x53, 0x65, 0x74, 0x41, 0x6e,
	0x73, 0x77, 0x65, 0x72, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x0e, 0x0a, 0x02,
	0x49, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x02, 0x49, 0x64, 0x12, 0x14, 0x0a, 0x05,
	0x73, 0x63, 0x6f, 0x72, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0d, 0x52, 0x05, 0x73, 0x63, 0x6f,
	0x72, 0x65, 0x22, 0x3e, 0x0a, 0x16, 0x53, 0x65, 0x74, 0x51, 0x75, 0x69, 0x7a, 0x52, 0x65, 0x73,
	0x75, 0x6c, 0x74, 0x73, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x0e, 0x0a, 0x02,
	0x49, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x02, 0x49, 0x64, 0x12, 0x14, 0x0a, 0x05,
	0x73, 0x63, 0x6f, 0x72, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0d, 0x52, 0x05, 0x73, 0x63, 0x6f,
	0x72, 0x65, 0x22, 0x2f, 0x0a, 0x1d, 0x53, 0x68, 0x6f, 0x77, 0x41, 0x6e, 0x73, 0x77, 0x65, 0x72,
	0x50, 0x65, 0x72, 0x51, 0x75, 0x65, 0x73, 0x74, 0x69, 0x6f, 0x6e, 0x52, 0x65, 0x73, 0x70, 0x6f,
	0x6e, 0x73, 0x65, 0x12, 0x0e, 0x0a, 0x02, 0x49, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52,
	0x02, 0x49, 0x64, 0x22, 0x49, 0x0a, 0x1d, 0x53, 0x68, 0x6f, 0x77, 0x41, 0x6e, 0x73, 0x77, 0x65,
	0x72, 0x73, 0x50, 0x65, 0x72, 0x53, 0x74, 0x75, 0x64, 0x65, 0x6e, 0x74, 0x52, 0x65, 0x73, 0x70,
	0x6f, 0x6e, 0x73, 0x65, 0x12, 0x28, 0x0a, 0x07, 0x41, 0x6e, 0x73, 0x77, 0x65, 0x72, 0x73, 0x18,
	0x01, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x0e, 0x2e, 0x61, 0x6e, 0x73, 0x77, 0x65, 0x72, 0x2e, 0x41,
	0x6e, 0x73, 0x77, 0x65, 0x72, 0x52, 0x07, 0x41, 0x6e, 0x73, 0x77, 0x65, 0x72, 0x73, 0x42, 0x3e,
	0x5a, 0x3c, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x67, 0x6f, 0x2d,
	0x70, 0x72, 0x6f, 0x2d, 0x63, 0x61, 0x70, 0x74, 0x2f, 0x70, 0x6c, 0x61, 0x74, 0x7a, 0x69, 0x2d,
	0x67, 0x6f, 0x2f, 0x67, 0x72, 0x70, 0x63, 0x2d, 0x61, 0x70, 0x69, 0x2f, 0x61, 0x70, 0x69, 0x2f,
	0x67, 0x72, 0x70, 0x63, 0x2f, 0x70, 0x62, 0x2f, 0x61, 0x6e, 0x73, 0x77, 0x65, 0x72, 0x62, 0x06,
	0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_answer_answer_proto_rawDescOnce sync.Once
	file_answer_answer_proto_rawDescData = file_answer_answer_proto_rawDesc
)

func file_answer_answer_proto_rawDescGZIP() []byte {
	file_answer_answer_proto_rawDescOnce.Do(func() {
		file_answer_answer_proto_rawDescData = protoimpl.X.CompressGZIP(file_answer_answer_proto_rawDescData)
	})
	return file_answer_answer_proto_rawDescData
}

var file_answer_answer_proto_msgTypes = make([]protoimpl.MessageInfo, 6)
var file_answer_answer_proto_goTypes = []interface{}{
	(*Answer)(nil),                        // 0: answer.Answer
	(*GetAnswerRequest)(nil),              // 1: answer.GetAnswerRequest
	(*SetAnswerResponse)(nil),             // 2: answer.SetAnswerResponse
	(*SetQuizResultsResponse)(nil),        // 3: answer.SetQuizResultsResponse
	(*ShowAnswerPerQuestionResponse)(nil), // 4: answer.ShowAnswerPerQuestionResponse
	(*ShowAnswersPerStudentResponse)(nil), // 5: answer.ShowAnswersPerStudentResponse
}
var file_answer_answer_proto_depIdxs = []int32{
	0, // 0: answer.ShowAnswersPerStudentResponse.Answers:type_name -> answer.Answer
	1, // [1:1] is the sub-list for method output_type
	1, // [1:1] is the sub-list for method input_type
	1, // [1:1] is the sub-list for extension type_name
	1, // [1:1] is the sub-list for extension extendee
	0, // [0:1] is the sub-list for field type_name
}

func init() { file_answer_answer_proto_init() }
func file_answer_answer_proto_init() {
	if File_answer_answer_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_answer_answer_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Answer); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_answer_answer_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*GetAnswerRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_answer_answer_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*SetAnswerResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_answer_answer_proto_msgTypes[3].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*SetQuizResultsResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_answer_answer_proto_msgTypes[4].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ShowAnswerPerQuestionResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_answer_answer_proto_msgTypes[5].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ShowAnswersPerStudentResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_answer_answer_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   6,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_answer_answer_proto_goTypes,
		DependencyIndexes: file_answer_answer_proto_depIdxs,
		MessageInfos:      file_answer_answer_proto_msgTypes,
	}.Build()
	File_answer_answer_proto = out.File
	file_answer_answer_proto_rawDesc = nil
	file_answer_answer_proto_goTypes = nil
	file_answer_answer_proto_depIdxs = nil
}
